## org.gnu.gtk.event
Class ToggleEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.ToggleEvent

All Implemented Interfaces:
  java.io.Serializable

public class ToggleEvent
extends GtkEvent

This is an event for the toggling of `ToggleButton` widgets. To use events, you must use the `ToggleListener` class in combination with the addListener methods of the ToggeButton widget.

See Also:
  Serialized Form

Nested Class Summary
`static class` `ToggleEvent.Type`

Field Summary

Fields inherited from class org.gnu.gtk.event.GtkEvent
`source, type`

Constructor Summary
`ToggleEvent(java.lang.Object source)` Creates a new toggle event

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ToggleEvent

    public ToggleEvent(java.lang.Object source)

  Creates a new toggle event

Parameters:
  `source` - The object which produced the event